tenacity(1)

NAME
tenacity - Graphical cross-platform audio editor based on Audacity

SYNOPSIS
tenacity -help
tenacity -version
tenacity [-blocksize nnn] -test
tenacity [-blocksize nnn] [ AUDIO-FILE ] ...

DESCRIPTION
Tenacity is a graphical audio editor. This man page does not describe all of the features of Tenacity or how to use it; for this, see the html documentation that came with the program, which should be accessible from the Help menu. This man page describes the Unix-specific features, including special files and environment variables. Tenacity currently uses libsndfile to open many uncompressed audio formats such as WAV, AIFF, and AU, and it can also be linked to libmad, libvorbis, and libflac, to provide support for opening MP2/3, Ogg Vorbis, and FLAC files, respectively. LAME, libvorbis, libflac and libtwolame provide facilities to export files to all these formats as well. Tenacity is primarily an interactive, graphical editor, not a batch-processing tool. Whilst there is a basic batch processing tool it is experimental and incomplete. If you need to batch-process audio or do simple edits from the command line, using sox or ecasound driven by a bash script will be much more powerful than Tenacity.

HISTORY
In April of 2021, Muse Group (Muse) had announced that they acquired Audacity and would further continue development. Later, a new pull request was then made that would introduce telementry into Audacity. This caused controversy, but the pull request was ultimately not merged. The closest to telemetry present in modern versions of Audacity is only error reporting, where personal information is NOT collected. In July of 2021, an update to Audacity's privacy policy caused controversy. It stated that the program was not suitable for children under 13 years old. This raised a possible GPL violation by. In addition, a new Contributer License Agreement also provoked further controversy. All of this sparked the need among Audacity's community to create forks. As a result, this program, like other derivatives, came to light in order to solve the wrongdoing that was committed by Audacity's new owners. On Noveber 26, 2022, Tenacity development was officially restarted by Avery King, joining other Tenacity contributors and the lead Audacium maintainer to continue work on the project towards their first release: Tenacity 1.3.

OPTIONS

--help
    Display a brief list of command line options

--version
    Display the Tenacity version number

--test
    run self diagnostics tests (only present in development builds)

--blocksize nnn
    Set the Tenacity block size for writing files to disk to nnn bytes

FILES
$XDG_CONFIG_HOME/tenacity/tenacity.cfg
    Per user configuration file.
/var/tmp/tenacity-<user>/
    Default location of Tenacity's temp directory, where <user> is your username. If this location is not suitable (not enough space in /var/tmp, for example), you should change the temp directory in the Preferences and restart Tenacity. Tenacity is a disk-based editor, so the temp directory is very important: it should always be on a fast (local) disk with lots of free space. On many modern Linux systems all files in /tmp/ will be deleted each time the system boots up, which makes recovering a recording that was going on when the system crashed much harder. This is why the default is to use a directory in /var/tmp/ which will not normally be deleted by the system. Open the Preferences to check.

SEARCH PATH
When looking for plug-ins, help files, localization files, or other configuration files, Tenacity searches the following locations, in this order: TENACITY_PATH
    Any directories in the TENACITY_PATH environment variable will be searched before anywhere else.
.
    The current working directory when Tenacity is started.
<prefix>/share/tenacity
    The system-wide Tenacity directory, where <prefix> is usually /usr or /usr/local, depending on where the program was installed.
<prefix>/share/doc/tenacity
    The system-wide Tenacity documentation directory, where <prefix> is usually /usr or /usr/local, depending on where the program was installed.
For localization files in particular (i.e. translations of Tenacity into other languages), Tenacity also searches <prefix>/share/locale

PLUG-INS
Tenacity supports two types of plug-ins on Unix: LADSPA and Nyquist plug-ins. These are generally placed in a directory called plug-ins somewhere on the search path (see above). LADSPA plug-ins can either be in the plug-ins directory, or alternatively in a ladspa directory on the search path if you choose to create one. Tenacity will also search the directories in the LADSPA_PATH environment variable for additional LADSPA plug-ins. Nyquist plug-ins can either be in the plug-ins directory, or alternatively in a nyquist directory on the search path if you choose to create one.

VERSION
This man page documents Tenacity version 1.3

LICENSE
Tenacity is distributed under the GPL, version 2 or later. However, some of the libraires it links to are distributed under other free licenses, including the LGPL and BSD licenses.

BUGS
For details of known problems, and to report and issue, see https://codeberg.org/tenacityteam/tenacity

AUTHORS
Audacity Developers Project leaders include Dominic Mazzoni, Matt Brubeck, James Crook, Vaughan Johnson, Leland Lucius, and Markus Meyer, but dozens of others have contributed, and Audacity would not be possible without wxWidgets, libsndfile, and many of the other libraries it is built upon. For the most recent list of contributors and current email addresses, see our website: http://www.audacityteam.org/about/credits/